declare class ApiCache<T = void> {
    private apiResponses;
    private static instance;
    static getInstance(): ApiCache;
    getCachedResponse(id: string): T | undefined;
    setCachedResponse(id: string, data: T, cacheExpiry?: number): T;
    private deleteCachedResponse;
}
export { ApiCache };
