declare const areObjectsEqual: <T>(obj1: T, obj2: T) => boolean;
declare const createRequest: ({ apiUrl, requestInfo, withContentTypeJSON, }: {
    apiUrl: string;
    requestInfo: RequestInit | undefined;
    withContentTypeJSON?: boolean | undefined;
}) => Promise<Response>;
declare const normalizeError: (error: any) => any;
export { areObjectsEqual, createRequest, normalizeError };
